# module Module::InstanceFunction

### Public Instance Methods

singleton_method_added(meth) click to toggle source
Calls superclass method

    # File lib/facets/module/instance_function.rb, line 56
    def singleton_method_added(meth)
      this = self
      ##module_eval %{
      ##  def #{meth}(*args)
      ##    #{self.name}.#{meth}(self,*args)
      ##  end
      ##}
      module_eval do
        define_method(meth) do |*args|
          this.__send__(meth, self, *args)
        end
      end
      super(meth)
    end